﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using Telerik.Windows;
using System.Windows.Media.Imaging;

namespace _314398_TreeViewExample
{
	public partial class MainPage : UserControl
	{

		public MainPage()
		{
			InitializeComponent();

			this.treeView.ItemsSource = GenerateItems();

		}

		public ObservableCollection<University> GenerateItems()
		{
			ObservableCollection<University> result = new ObservableCollection<University>();

			for (int i = 0; i < 8; i++)
			{
				University uni = new University()
				{
					Name = String.Format("University {0}", i)
				};
				for (int j = 0; j < 5; j++)
				{
					College col = new College()
					{
						Name = String.Format("Collage {0}.{1}", i,j)
					};

					for (int k = 0; k < 4; k++)
					{
						Student st = new Student()
						{
							Name = String.Format("Student {0}.{1}.{2}", i,j,k)
						};

						for (int m = 0; m < 3; m++)
						{
							st.Assignments.Add(new Assignment() {
								Name = String.Format("Assignment {0}.{1}.{2}.{3}", i, j, k, m)
							});
						}

						col.Students.Add(st);
					}

					uni.Collages.Add(col);
					
				}
				result.Add(uni);
			}
			return result;
		}
	}
}
