﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Collections.ObjectModel;

namespace _314398_TreeViewExample
{
	public class ItemsSourceConverter : IValueConverter
	{
		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			ObservableCollection<Student> Students = value as ObservableCollection<Student>;
			ObservableCollection<Assignment> Assignments = new ObservableCollection<Assignment>();
			foreach (Student st in Students)
			{
				foreach (Assignment assign in st.Assignments)
				{
					Assignments.Add(assign);
				}
			}
			return Assignments;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		#endregion
	}
}
